From f662ac24562dde79a25db24cacfeebcbb09bc114 Mon Sep 17 00:00:00 2001
From: PowerUser64 <blakelysnorth@gmail.com>
Date: Thu, 14 Jul 2022 19:07:42 -0700
Subject: [PATCH] sleep-until: exit with non-zero code on failure

---
 .config/shell/bin/sleep-until | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/.config/shell/bin/sleep-until b/.config/shell/bin/sleep-until
index 61d4ac9..5a0beaf 100755
--- a/.config/shell/bin/sleep-until
+++ b/.config/shell/bin/sleep-until
@@ -9,7 +9,9 @@ if [ -n "$1" ] && date --date="$*" > /dev/null 2>&1; then
       sleep "$SLEEP_TIME"
    else
       echo "Sadly, you cannot sleep to a time in the past"
+      exit 1
    fi
 else
    echo "Please input a valid date"
+   exit 1
 fi